Update media collection
curl --request PATCH \
--url https://api.pineyard.ai/whatsapp/collections/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tag: '<string>',
description: '<string>',
caption: '<string>',
templateId: '<string>',
templateHeaderItemId: '<string>'
})
};
fetch('https://api.pineyard.ai/whatsapp/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/collections/{id}"
payload = {
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"itemCount": 123,
"items": [
{
"id": "<string>",
"kind": "TEXT",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"caption": "<string>",
"isUploaded": true,
"url": "<string>",
"sortOrder": 123,
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>",
"templateSendMode": "SINGLE"
}Media collections
Update media collection
Rename or re-tag a media collection.
PATCH
/
whatsapp
/
collections
/
{id}
Update media collection
curl --request PATCH \
--url https://api.pineyard.ai/whatsapp/collections/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tag: '<string>',
description: '<string>',
caption: '<string>',
templateId: '<string>',
templateHeaderItemId: '<string>'
})
};
fetch('https://api.pineyard.ai/whatsapp/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/collections/{id}"
payload = {
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"tag": "<string>",
"description": "<string>",
"caption": "<string>",
"itemCount": 123,
"items": [
{
"id": "<string>",
"kind": "TEXT",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"caption": "<string>",
"isUploaded": true,
"url": "<string>",
"sortOrder": 123,
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"templateId": "<string>",
"templateHeaderItemId": "<string>",
"templateSendMode": "SINGLE"
}Required scope:
whatsapp.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Collection ID
Body
application/json
Response
Updated collection.
Show child attributes
Show child attributes
Available options:
SINGLE, ALL 
